# Data Portability API

The Data Portability API lets you build applications that request authorization from a user to move a copy of data from Google services into your application. This enables data portability and facilitates switching services.

- [REST Resource: v1.accessType](https://developers.google.com/data-portability/reference/rest#v1.accessType)
- [REST Resource: v1.archiveJobs](https://developers.google.com/data-portability/reference/rest#v1.archiveJobs)
- [REST Resource: v1.authorization](https://developers.google.com/data-portability/reference/rest#v1.authorization)
- [REST Resource: v1.portabilityArchive](https://developers.google.com/data-portability/reference/rest#v1.portabilityArchive)

## Service: dataportability.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://dataportability.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://dataportability.googleapis.com`

## REST Resource: [v1.accessType](https://developers.google.com/data-portability/reference/rest/v1/accessType)

| Methods ||
|---|---|
| `https://developers.google.com/data-portability/reference/rest/v1/accessType/check` | `POST /v1/accessType:check` Gets the access type of the token. |

## REST Resource: [v1.archiveJobs](https://developers.google.com/data-portability/reference/rest/v1/archiveJobs)

| Methods ||
|---|---|
| `https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/cancel` | `POST /v1/{name=archiveJobs/*}:cancel` Cancels a Portability Archive job. |
| `https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/getPortabilityArchiveState` | `GET /v1/{name=archiveJobs/*/portabilityArchiveState}` Retrieves the state of an Archive job for the Portability API. |
| `https://developers.google.com/data-portability/reference/rest/v1/archiveJobs/retry` | `POST /v1/{name=archiveJobs/*}:retry` Retries a failed Portability Archive job. |

## REST Resource: [v1.authorization](https://developers.google.com/data-portability/reference/rest/v1/authorization)

| Methods ||
|---|---|
| `https://developers.google.com/data-portability/reference/rest/v1/authorization/reset` | `POST /v1/authorization:reset` Revokes OAuth tokens and resets exhausted scopes for a user/project pair. |

## REST Resource: [v1.portabilityArchive](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive)

| Methods ||
|---|---|
| `https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate` | `POST /v1/portabilityArchive:initiate` Initiates a new Archive job for the Portability API. |